1# Makefile.in generated by automake 1.11 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18# $Id: Makefile.am,v 1.97 2011/08/26 14:02:35 oohara Exp $
19
20VPATH = @srcdir@
21pkgdatadir = $(datadir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkglibexecdir = $(libexecdir)/@PACKAGE@
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37bin_PROGRAMS = dangen$(EXEEXT)
38subdir = .
39DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
40	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
41	$(top_srcdir)/configure ChangeLog INSTALL compile depcomp \
42	install-sh missing mkinstalldirs ylwrap
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46	$(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man6dir)"
54PROGRAMS = $(bin_PROGRAMS)
55am_dangen_OBJECTS = background.$(OBJEXT) chain.$(OBJEXT) \
56	esc-ok.$(OBJEXT) info.$(OBJEXT) loop.$(OBJEXT) main.$(OBJEXT) \
57	option.$(OBJEXT) pause.$(OBJEXT) score.$(OBJEXT) \
58	ship.$(OBJEXT) slow.$(OBJEXT) stage.$(OBJEXT) util.$(OBJEXT)
59dangen_OBJECTS = $(am_dangen_OBJECTS)
60dangen_DEPENDENCIES = libtenm/libtenm.a record/librecord.a \
61	spqr/libspqr.a
62DEFAULT_INCLUDES = -I.@am__isrc@
63depcomp = $(SHELL) $(top_srcdir)/depcomp
64am__depfiles_maybe = depfiles
65am__mv = mv -f
66COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
67	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
68CCLD = $(CC)
69LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
70SOURCES = $(dangen_SOURCES)
71DIST_SOURCES = $(dangen_SOURCES)
72RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
73	html-recursive info-recursive install-data-recursive \
74	install-dvi-recursive install-exec-recursive \
75	install-html-recursive install-info-recursive \
76	install-pdf-recursive install-ps-recursive install-recursive \
77	installcheck-recursive installdirs-recursive pdf-recursive \
78	ps-recursive uninstall-recursive
79am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
80am__vpath_adj = case $$p in \
81    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
82    *) f=$$p;; \
83  esac;
84am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
85am__install_max = 40
86am__nobase_strip_setup = \
87  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
88am__nobase_strip = \
89  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
90am__nobase_list = $(am__nobase_strip_setup); \
91  for p in $$list; do echo "$$p $$p"; done | \
92  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
93  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
94    if (++n[$$2] == $(am__install_max)) \
95      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
96    END { for (dir in files) print dir, files[dir] }'
97am__base_list = \
98  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
99  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
100man6dir = $(mandir)/man6
101NROFF = nroff
102MANS = $(man_MANS)
103RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
104  distclean-recursive maintainer-clean-recursive
105AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
106	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
107	distdir dist dist-all distcheck
108ETAGS = etags
109CTAGS = ctags
110DIST_SUBDIRS = $(SUBDIRS)
111DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
112distdir = $(PACKAGE)-$(VERSION)
113top_distdir = $(distdir)
114am__remove_distdir = \
115  { test ! -d "$(distdir)" \
116    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
117         && rm -fr "$(distdir)"; }; }
118am__relativize = \
119  dir0=`pwd`; \
120  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
121  sed_rest='s,^[^/]*/*,,'; \
122  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
123  sed_butlast='s,/*[^/]*$$,,'; \
124  while test -n "$$dir1"; do \
125    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
126    if test "$$first" != "."; then \
127      if test "$$first" = ".."; then \
128        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
129        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
130      else \
131        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
132        if test "$$first2" = "$$first"; then \
133          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
134        else \
135          dir2="../$$dir2"; \
136        fi; \
137        dir0="$$dir0"/"$$first"; \
138      fi; \
139    fi; \
140    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
141  done; \
142  reldir="$$dir2"
143DIST_ARCHIVES = $(distdir).tar.gz
144GZIP_ENV = --best
145distuninstallcheck_listfiles = find . -type f -print
146distcleancheck_listfiles = find . -type f -print
147ACLOCAL = @ACLOCAL@
148AMTAR = @AMTAR@
149AUTOCONF = @AUTOCONF@
150AUTOHEADER = @AUTOHEADER@
151AUTOMAKE = @AUTOMAKE@
152AWK = @AWK@
153CC = @CC@
154CCDEPMODE = @CCDEPMODE@
155CFLAGS = @CFLAGS@
156CPP = @CPP@
157CPPFLAGS = @CPPFLAGS@
158CYGPATH_W = @CYGPATH_W@
159DEFS = @DEFS@
160DEPDIR = @DEPDIR@
161ECHO_C = @ECHO_C@
162ECHO_N = @ECHO_N@
163ECHO_T = @ECHO_T@
164EGREP = @EGREP@
165EXEEXT = @EXEEXT@
166GREP = @GREP@
167INSTALL = @INSTALL@
168INSTALL_DATA = @INSTALL_DATA@
169INSTALL_PROGRAM = @INSTALL_PROGRAM@
170INSTALL_SCRIPT = @INSTALL_SCRIPT@
171INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
172LDFLAGS = @LDFLAGS@
173LEX = @LEX@
174LEXLIB = @LEXLIB@
175LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
176LIBOBJS = @LIBOBJS@
177LIBS = @LIBS@
178LN_S = @LN_S@
179LTLIBOBJS = @LTLIBOBJS@
180MAKEINFO = @MAKEINFO@
181MKDIR_P = @MKDIR_P@
182OBJEXT = @OBJEXT@
183PACKAGE = @PACKAGE@
184PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
185PACKAGE_NAME = @PACKAGE_NAME@
186PACKAGE_STRING = @PACKAGE_STRING@
187PACKAGE_TARNAME = @PACKAGE_TARNAME@
188PACKAGE_URL = @PACKAGE_URL@
189PACKAGE_VERSION = @PACKAGE_VERSION@
190PATH_SEPARATOR = @PATH_SEPARATOR@
191RANLIB = @RANLIB@
192SET_MAKE = @SET_MAKE@
193SHELL = @SHELL@
194STRIP = @STRIP@
195VERSION = @VERSION@
196YACC = @YACC@
197YFLAGS = @YFLAGS@
198abs_builddir = @abs_builddir@
199abs_srcdir = @abs_srcdir@
200abs_top_builddir = @abs_top_builddir@
201abs_top_srcdir = @abs_top_srcdir@
202ac_ct_CC = @ac_ct_CC@
203am__include = @am__include@
204am__leading_dot = @am__leading_dot@
205am__quote = @am__quote@
206am__tar = @am__tar@
207am__untar = @am__untar@
208bindir = @bindir@
209build_alias = @build_alias@
210builddir = @builddir@
211datadir = @datadir@
212datarootdir = @datarootdir@
213docdir = @docdir@
214dvidir = @dvidir@
215exec_prefix = @exec_prefix@
216host_alias = @host_alias@
217htmldir = @htmldir@
218includedir = @includedir@
219infodir = @infodir@
220install_sh = @install_sh@
221libdir = @libdir@
222libexecdir = @libexecdir@
223localedir = @localedir@
224localstatedir = @localstatedir@
225mandir = @mandir@
226mkdir_p = @mkdir_p@
227oldincludedir = @oldincludedir@
228pdfdir = @pdfdir@
229prefix = @prefix@
230program_transform_name = @program_transform_name@
231psdir = @psdir@
232sbindir = @sbindir@
233sharedstatedir = @sharedstatedir@
234srcdir = @srcdir@
235sysconfdir = @sysconfdir@
236target_alias = @target_alias@
237top_build_prefix = @top_build_prefix@
238top_builddir = @top_builddir@
239top_srcdir = @top_srcdir@
240SUBDIRS = libtenm record spqr
241dangen_SOURCES = background.c \
242  background.h \
243  chain.c \
244  chain.h \
245  const.h \
246  esc-ok.c \
247  esc-ok.h \
248  info.c \
249  info.h \
250  loop.c \
251  loop.h \
252  main.c \
253  option.c \
254  option.h \
255  pause.c \
256  pause.h \
257  score.c \
258  score.h \
259  ship.c \
260  ship.h \
261  slow.c \
262  slow.h \
263  stage.c \
264  stage.h \
265  util.c \
266  util.h
267
268
269#CC_WARNINGS = -Wall
270# the overkill warnings
271# I don't use -Wtraditional because I use string concatenation
272# use -Wno-long-long because -pedantic implies -Wlong-long
273CC_WARNINGS = -Wall -Wshadow -Wpointer-arith -Wcast-qual \
274  -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
275  -Wmissing-declarations -Wnested-externs -Winline -pedantic -Wno-long-long
276
277
278# let's hardcode SDL flags here
279SDL_CFLAGS = `/usr/local/bin/sdl-config --cflags`
280# /usr/local/bin/sdl-config --libs is added to LIBS in configure
281
282# -g -O2 are in CFLAGS by default, don't use @CFLAGS@ here
283AM_CFLAGS = $(SDL_CFLAGS) $(CC_WARNINGS)
284AM_CPPFLAGS = -DDATADIR=\"$(datadir)\" \
285  -DLOCALSTATEDIR=\"$(localstatedir)\" \
286  -I$(top_srcdir)/libtenm \
287  -I$(top_srcdir)/record \
288  -I$(top_srcdir)/spqr
289
290
291# there is no AM_LDADD
292# don't use $(top_srcdir) here
293dangen_LDADD = libtenm/libtenm.a \
294  record/librecord.a \
295  spqr/libspqr.a
296
297man_MANS = dangen.6
298EXTRA_DIST = Artistic-2 \
299  GPL-2 \
300  LICENSE \
301  README-ja-utf8 \
302  README-ja-sjis \
303  dangen.6
304
305BUILT_SOURCES = README-ja-sjis
306all: $(BUILT_SOURCES) config.h
307	$(MAKE) $(AM_MAKEFLAGS) all-recursive
308
309.SUFFIXES:
310.SUFFIXES: .c .o .obj
311am--refresh:
312	@:
313$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
314	@for dep in $?; do \
315	  case '$(am__configure_deps)' in \
316	    *$$dep*) \
317	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
318	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
319		&& exit 0; \
320	      exit 1;; \
321	  esac; \
322	done; \
323	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
324	$(am__cd) $(top_srcdir) && \
325	  $(AUTOMAKE) --foreign Makefile
326.PRECIOUS: Makefile
327Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
328	@case '$?' in \
329	  *config.status*) \
330	    echo ' $(SHELL) ./config.status'; \
331	    $(SHELL) ./config.status;; \
332	  *) \
333	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
334	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
335	esac;
336
337$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
338	$(SHELL) ./config.status --recheck
339
340$(top_srcdir)/configure:  $(am__configure_deps)
341	$(am__cd) $(srcdir) && $(AUTOCONF)
342$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
343	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
344$(am__aclocal_m4_deps):
345
346config.h: stamp-h1
347	@if test ! -f $@; then \
348	  rm -f stamp-h1; \
349	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
350	else :; fi
351
352stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
353	@rm -f stamp-h1
354	cd $(top_builddir) && $(SHELL) ./config.status config.h
355$(srcdir)/config.h.in:  $(am__configure_deps)
356	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
357	rm -f stamp-h1
358	touch $@
359
360distclean-hdr:
361	-rm -f config.h stamp-h1
362install-binPROGRAMS: $(bin_PROGRAMS)
363	@$(NORMAL_INSTALL)
364	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
365	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
366	for p in $$list; do echo "$$p $$p"; done | \
367	sed 's/$(EXEEXT)$$//' | \
368	while read p p1; do if test -f $$p; \
369	  then echo "$$p"; echo "$$p"; else :; fi; \
370	done | \
371	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
372	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
373	sed 'N;N;N;s,\n, ,g' | \
374	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
375	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
376	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
377	    else { print "f", $$3 "/" $$4, $$1; } } \
378	  END { for (d in files) print "f", d, files[d] }' | \
379	while read type dir files; do \
380	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
381	    test -z "$$files" || { \
382	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
383	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
384	    } \
385	; done
386
387uninstall-binPROGRAMS:
388	@$(NORMAL_UNINSTALL)
389	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
390	files=`for p in $$list; do echo "$$p"; done | \
391	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
392	      -e 's/$$/$(EXEEXT)/' `; \
393	test -n "$$list" || exit 0; \
394	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
395	cd "$(DESTDIR)$(bindir)" && rm -f $$files
396
397clean-binPROGRAMS:
398	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
399dangen$(EXEEXT): $(dangen_OBJECTS) $(dangen_DEPENDENCIES)
400	@rm -f dangen$(EXEEXT)
401	$(LINK) $(dangen_OBJECTS) $(dangen_LDADD) $(LIBS)
402
403mostlyclean-compile:
404	-rm -f *.$(OBJEXT)
405
406distclean-compile:
407	-rm -f *.tab.c
408
409@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/background.Po@am__quote@
410@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chain.Po@am__quote@
411@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/esc-ok.Po@am__quote@
412@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/info.Po@am__quote@
413@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loop.Po@am__quote@
414@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
415@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/option.Po@am__quote@
416@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pause.Po@am__quote@
417@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/score.Po@am__quote@
418@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ship.Po@am__quote@
419@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slow.Po@am__quote@
420@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stage.Po@am__quote@
421@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
422
423.c.o:
424@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
425@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
426@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
427@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
428@am__fastdepCC_FALSE@	$(COMPILE) -c $<
429
430.c.obj:
431@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
432@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
433@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
434@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
435@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
436install-man6: $(man_MANS)
437	@$(NORMAL_INSTALL)
438	test -z "$(man6dir)" || $(MKDIR_P) "$(DESTDIR)$(man6dir)"
439	@list=''; test -n "$(man6dir)" || exit 0; \
440	{ for i in $$list; do echo "$$i"; done; \
441	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
442	  sed -n '/\.6[a-z]*$$/p'; \
443	} | while read p; do \
444	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
445	  echo "$$d$$p"; echo "$$p"; \
446	done | \
447	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^6][0-9a-z]*$$,6,;x' \
448	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
449	sed 'N;N;s,\n, ,g' | { \
450	list=; while read file base inst; do \
451	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
452	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man6dir)/$$inst'"; \
453	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man6dir)/$$inst" || exit $$?; \
454	  fi; \
455	done; \
456	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
457	while read files; do \
458	  test -z "$$files" || { \
459	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man6dir)'"; \
460	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man6dir)" || exit $$?; }; \
461	done; }
462
463uninstall-man6:
464	@$(NORMAL_UNINSTALL)
465	@list=''; test -n "$(man6dir)" || exit 0; \
466	files=`{ for i in $$list; do echo "$$i"; done; \
467	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
468	  sed -n '/\.6[a-z]*$$/p'; \
469	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^6][0-9a-z]*$$,6,;x' \
470	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
471	test -z "$$files" || { \
472	  echo " ( cd '$(DESTDIR)$(man6dir)' && rm -f" $$files ")"; \
473	  cd "$(DESTDIR)$(man6dir)" && rm -f $$files; }
474
475# This directory's subdirectories are mostly independent; you can cd
476# into them and run `make' without going through this Makefile.
477# To change the values of `make' variables: instead of editing Makefiles,
478# (1) if the variable is set in `config.status', edit `config.status'
479#     (which will cause the Makefiles to be regenerated when you run `make');
480# (2) otherwise, pass the desired values on the `make' command line.
481$(RECURSIVE_TARGETS):
482	@failcom='exit 1'; \
483	for f in x $$MAKEFLAGS; do \
484	  case $$f in \
485	    *=* | --[!k]*);; \
486	    *k*) failcom='fail=yes';; \
487	  esac; \
488	done; \
489	dot_seen=no; \
490	target=`echo $@ | sed s/-recursive//`; \
491	list='$(SUBDIRS)'; for subdir in $$list; do \
492	  echo "Making $$target in $$subdir"; \
493	  if test "$$subdir" = "."; then \
494	    dot_seen=yes; \
495	    local_target="$$target-am"; \
496	  else \
497	    local_target="$$target"; \
498	  fi; \
499	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
500	  || eval $$failcom; \
501	done; \
502	if test "$$dot_seen" = "no"; then \
503	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
504	fi; test -z "$$fail"
505
506$(RECURSIVE_CLEAN_TARGETS):
507	@failcom='exit 1'; \
508	for f in x $$MAKEFLAGS; do \
509	  case $$f in \
510	    *=* | --[!k]*);; \
511	    *k*) failcom='fail=yes';; \
512	  esac; \
513	done; \
514	dot_seen=no; \
515	case "$@" in \
516	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
517	  *) list='$(SUBDIRS)' ;; \
518	esac; \
519	rev=''; for subdir in $$list; do \
520	  if test "$$subdir" = "."; then :; else \
521	    rev="$$subdir $$rev"; \
522	  fi; \
523	done; \
524	rev="$$rev ."; \
525	target=`echo $@ | sed s/-recursive//`; \
526	for subdir in $$rev; do \
527	  echo "Making $$target in $$subdir"; \
528	  if test "$$subdir" = "."; then \
529	    local_target="$$target-am"; \
530	  else \
531	    local_target="$$target"; \
532	  fi; \
533	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
534	  || eval $$failcom; \
535	done && test -z "$$fail"
536tags-recursive:
537	list='$(SUBDIRS)'; for subdir in $$list; do \
538	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
539	done
540ctags-recursive:
541	list='$(SUBDIRS)'; for subdir in $$list; do \
542	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
543	done
544
545ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
546	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
547	unique=`for i in $$list; do \
548	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
549	  done | \
550	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
551	      END { if (nonempty) { for (i in files) print i; }; }'`; \
552	mkid -fID $$unique
553tags: TAGS
554
555TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
556		$(TAGS_FILES) $(LISP)
557	set x; \
558	here=`pwd`; \
559	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
560	  include_option=--etags-include; \
561	  empty_fix=.; \
562	else \
563	  include_option=--include; \
564	  empty_fix=; \
565	fi; \
566	list='$(SUBDIRS)'; for subdir in $$list; do \
567	  if test "$$subdir" = .; then :; else \
568	    test ! -f $$subdir/TAGS || \
569	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
570	  fi; \
571	done; \
572	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
573	unique=`for i in $$list; do \
574	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
575	  done | \
576	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
577	      END { if (nonempty) { for (i in files) print i; }; }'`; \
578	shift; \
579	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
580	  test -n "$$unique" || unique=$$empty_fix; \
581	  if test $$# -gt 0; then \
582	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
583	      "$$@" $$unique; \
584	  else \
585	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
586	      $$unique; \
587	  fi; \
588	fi
589ctags: CTAGS
590CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
591		$(TAGS_FILES) $(LISP)
592	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
593	unique=`for i in $$list; do \
594	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
595	  done | \
596	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
597	      END { if (nonempty) { for (i in files) print i; }; }'`; \
598	test -z "$(CTAGS_ARGS)$$unique" \
599	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
600	     $$unique
601
602GTAGS:
603	here=`$(am__cd) $(top_builddir) && pwd` \
604	  && $(am__cd) $(top_srcdir) \
605	  && gtags -i $(GTAGS_ARGS) "$$here"
606
607distclean-tags:
608	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
609
610distdir: $(DISTFILES)
611	@list='$(MANS)'; if test -n "$$list"; then \
612	  list=`for p in $$list; do \
613	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
614	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
615	  if test -n "$$list" && \
616	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
617	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
618	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
619	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
620	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
621	    exit 1; \
622	  else :; fi; \
623	else :; fi
624	$(am__remove_distdir)
625	test -d "$(distdir)" || mkdir "$(distdir)"
626	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
627	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
628	list='$(DISTFILES)'; \
629	  dist_files=`for file in $$list; do echo $$file; done | \
630	  sed -e "s|^$$srcdirstrip/||;t" \
631	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
632	case $$dist_files in \
633	  */*) $(MKDIR_P) `echo "$$dist_files" | \
634			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
635			   sort -u` ;; \
636	esac; \
637	for file in $$dist_files; do \
638	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
639	  if test -d $$d/$$file; then \
640	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
641	    if test -d "$(distdir)/$$file"; then \
642	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
643	    fi; \
644	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
645	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
646	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
647	    fi; \
648	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
649	  else \
650	    test -f "$(distdir)/$$file" \
651	    || cp -p $$d/$$file "$(distdir)/$$file" \
652	    || exit 1; \
653	  fi; \
654	done
655	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
656	  if test "$$subdir" = .; then :; else \
657	    test -d "$(distdir)/$$subdir" \
658	    || $(MKDIR_P) "$(distdir)/$$subdir" \
659	    || exit 1; \
660	  fi; \
661	done
662	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
663	  if test "$$subdir" = .; then :; else \
664	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
665	    $(am__relativize); \
666	    new_distdir=$$reldir; \
667	    dir1=$$subdir; dir2="$(top_distdir)"; \
668	    $(am__relativize); \
669	    new_top_distdir=$$reldir; \
670	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
671	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
672	    ($(am__cd) $$subdir && \
673	      $(MAKE) $(AM_MAKEFLAGS) \
674	        top_distdir="$$new_top_distdir" \
675	        distdir="$$new_distdir" \
676		am__remove_distdir=: \
677		am__skip_length_check=: \
678		am__skip_mode_fix=: \
679	        distdir) \
680	      || exit 1; \
681	  fi; \
682	done
683	-test -n "$(am__skip_mode_fix)" \
684	|| find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
685	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
686	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
687	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
688	|| chmod -R a+r "$(distdir)"
689dist-gzip: distdir
690	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
691	$(am__remove_distdir)
692
693dist-bzip2: distdir
694	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
695	$(am__remove_distdir)
696
697dist-lzma: distdir
698	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
699	$(am__remove_distdir)
700
701dist-xz: distdir
702	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
703	$(am__remove_distdir)
704
705dist-tarZ: distdir
706	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
707	$(am__remove_distdir)
708
709dist-shar: distdir
710	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
711	$(am__remove_distdir)
712
713dist-zip: distdir
714	-rm -f $(distdir).zip
715	zip -rq $(distdir).zip $(distdir)
716	$(am__remove_distdir)
717
718dist dist-all: distdir
719	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
720	$(am__remove_distdir)
721
722# This target untars the dist file and tries a VPATH configuration.  Then
723# it guarantees that the distribution is self-contained by making another
724# tarfile.
725distcheck: dist
726	case '$(DIST_ARCHIVES)' in \
727	*.tar.gz*) \
728	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
729	*.tar.bz2*) \
730	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
731	*.tar.lzma*) \
732	  unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
733	*.tar.xz*) \
734	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
735	*.tar.Z*) \
736	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
737	*.shar.gz*) \
738	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
739	*.zip*) \
740	  unzip $(distdir).zip ;;\
741	esac
742	chmod -R a-w $(distdir); chmod a+w $(distdir)
743	mkdir $(distdir)/_build
744	mkdir $(distdir)/_inst
745	chmod a-w $(distdir)
746	test -d $(distdir)/_build || exit 0; \
747	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
748	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
749	  && am__cwd=`pwd` \
750	  && $(am__cd) $(distdir)/_build \
751	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
752	    $(DISTCHECK_CONFIGURE_FLAGS) \
753	  && $(MAKE) $(AM_MAKEFLAGS) \
754	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
755	  && $(MAKE) $(AM_MAKEFLAGS) check \
756	  && $(MAKE) $(AM_MAKEFLAGS) install \
757	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
758	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
759	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
760	        distuninstallcheck \
761	  && chmod -R a-w "$$dc_install_base" \
762	  && ({ \
763	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
764	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
765	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
766	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
767	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
768	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
769	  && rm -rf "$$dc_destdir" \
770	  && $(MAKE) $(AM_MAKEFLAGS) dist \
771	  && rm -rf $(DIST_ARCHIVES) \
772	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
773	  && cd "$$am__cwd" \
774	  || exit 1
775	$(am__remove_distdir)
776	@(echo "$(distdir) archives ready for distribution: "; \
777	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
778	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
779distuninstallcheck:
780	@$(am__cd) '$(distuninstallcheck_dir)' \
781	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
782	   || { echo "ERROR: files left after uninstall:" ; \
783	        if test -n "$(DESTDIR)"; then \
784	          echo "  (check DESTDIR support)"; \
785	        fi ; \
786	        $(distuninstallcheck_listfiles) ; \
787	        exit 1; } >&2
788distcleancheck: distclean
789	@if test '$(srcdir)' = . ; then \
790	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
791	  exit 1 ; \
792	fi
793	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
794	  || { echo "ERROR: files left in build directory after distclean:" ; \
795	       $(distcleancheck_listfiles) ; \
796	       exit 1; } >&2
797check-am: all-am
798check: $(BUILT_SOURCES)
799	$(MAKE) $(AM_MAKEFLAGS) check-recursive
800all-am: Makefile $(PROGRAMS) $(MANS) config.h
801installdirs: installdirs-recursive
802installdirs-am:
803	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man6dir)"; do \
804	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
805	done
806install: $(BUILT_SOURCES)
807	$(MAKE) $(AM_MAKEFLAGS) install-recursive
808install-exec: install-exec-recursive
809install-data: install-data-recursive
810uninstall: uninstall-recursive
811
812install-am: all-am
813	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
814
815installcheck: installcheck-recursive
816install-strip:
817	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
818	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
819	  `test -z '$(STRIP)' || \
820	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
821mostlyclean-generic:
822
823clean-generic:
824
825distclean-generic:
826	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
827	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
828
829maintainer-clean-generic:
830	@echo "This command is intended for maintainers to use"
831	@echo "it deletes files that may require special tools to rebuild."
832	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
833clean: clean-recursive
834
835clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
836
837distclean: distclean-recursive
838	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
839	-rm -rf ./$(DEPDIR)
840	-rm -f Makefile
841distclean-am: clean-am distclean-compile distclean-generic \
842	distclean-hdr distclean-tags
843
844dvi: dvi-recursive
845
846dvi-am:
847
848html: html-recursive
849
850html-am:
851
852info: info-recursive
853
854info-am:
855
856install-data-am: install-man
857
858install-dvi: install-dvi-recursive
859
860install-dvi-am:
861
862install-exec-am: install-binPROGRAMS
863
864install-html: install-html-recursive
865
866install-html-am:
867
868install-info: install-info-recursive
869
870install-info-am:
871
872install-man: install-man6
873
874install-pdf: install-pdf-recursive
875
876install-pdf-am:
877
878install-ps: install-ps-recursive
879
880install-ps-am:
881
882installcheck-am:
883
884maintainer-clean: maintainer-clean-recursive
885	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
886	-rm -rf $(top_srcdir)/autom4te.cache
887	-rm -rf ./$(DEPDIR)
888	-rm -f Makefile
889maintainer-clean-am: distclean-am maintainer-clean-generic
890
891mostlyclean: mostlyclean-recursive
892
893mostlyclean-am: mostlyclean-compile mostlyclean-generic
894
895pdf: pdf-recursive
896
897pdf-am:
898
899ps: ps-recursive
900
901ps-am:
902
903uninstall-am: uninstall-binPROGRAMS uninstall-man
904
905uninstall-man: uninstall-man6
906
907.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
908	ctags-recursive install install-am install-strip \
909	tags-recursive
910
911.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
912	all all-am am--refresh check check-am clean clean-binPROGRAMS \
913	clean-generic ctags ctags-recursive dist dist-all dist-bzip2 \
914	dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
915	distcheck distclean distclean-compile distclean-generic \
916	distclean-hdr distclean-tags distcleancheck distdir \
917	distuninstallcheck dvi dvi-am html html-am info info-am \
918	install install-am install-binPROGRAMS install-data \
919	install-data-am install-dvi install-dvi-am install-exec \
920	install-exec-am install-html install-html-am install-info \
921	install-info-am install-man install-man6 install-pdf \
922	install-pdf-am install-ps install-ps-am install-strip \
923	installcheck installcheck-am installdirs installdirs-am \
924	maintainer-clean maintainer-clean-generic mostlyclean \
925	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
926	tags tags-recursive uninstall uninstall-am \
927	uninstall-binPROGRAMS uninstall-man uninstall-man6
928
929
930README-ja-sjis: README-ja-utf8
931	sed "s/\n/\r\n/g" $< | \
932  iconv -f UTF-8 -t SJIS -o $@
933
934# Tell versions [3.59,3.63) of GNU make to not export all variables.
935# Otherwise a system limit (for SysV at least) may be exceeded.
936.NOEXPORT:
937